$(document).ready( function(){

$('#goPlayer').hide();

　/* Audio player */
audio = new Audio("");
audio.autobuffer=true;
audio.preload="auto";
audio.addEventListener("timeupdate", function(e){
	$('#playTime').attr("max", audio.duration );
	$('#playTime').attr("value", Math.ceil(audio.currentTime) );
	$('#playTime').slider('refresh');
});

$("#playTime").bind("slidestop", function(){
   if ( ! audio.played ) {
     audio.currentTime = $(this).attr('value') ;
	}
});

count = 0;
  /* Audio List */
$('#musiclist li').bind('tap', function(){
	if ( $(this).attr("file") != undefined ) {
		$('#goPlayer').show();
    	count = $(this).index('li');
    	setAudio(count,audio);
    } 
     
});

function setAudio(i,objAudio){
   $this = $('#musiclist li:eq(' + i +')' );
    $('#playTitle').text( $this.text() );
    objAudio.src = $this.attr("file");
    objAudio.load();
	$('#playTime').attr("value", 0 );
    objAudio.play();
}

/* player button event */
$("#btnPause").bind("tap", function(){ audio.pause();} );
$("#btnPlay").bind("tap", function(){ audio.play();} );

$("#btnBack").bind("tap", function(){
 	count--;
	if (count<0) {count = 0;}
	setAudio(count,audio);
});

$('#btnForward').bind("tap", function(){
	count++;
	var maxidx = $('#musiclist li').length-1;
	if (count > maxidx) { count = maxidx; }
    setAudio(count, audio);
});


}); // end of all